### Method

# Gdk Rectangleintersect

#### Declaration [src]

    gboolean
    gdk_rectangle_intersect (
      const GdkRectangle* src1,
      const GdkRectangle* src2,
      GdkRectangle* dest
    )

#### Description [src]

Calculates the intersection of two rectangles.

It is allowed for `dest` to be the same as either `src1` or `src2`. If the rectangles do not intersect, `dest`’s width and height is set to 0 and its x and y values are undefined. If you are only interested in whether the rectangles intersect, but not in the intersecting area itself, pass `NULL` for `dest`.

#### Parameters

`src2`

  Type: `GdkRectangle`

  A `GdkRectangle`

  The data is owned by the caller of the method.

`dest`

  Type: `GdkRectangle`

  Return location for the intersection of `src1` and `src2`

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the rectangles intersect.